# 1. provide main model python file path
model_path = "./themodel_without_template.py"

# 2. path to mod files; can be 'None' if mod files in base directory of `model_path`
mod_files_path = None

# 3. Set default values for parameters (used to reset model to initial state)
# Note: should use same name as target parameter name (e.g. nBPAP and NOT nbpap) with outer key specifying section/object
# Note: parameters to be set for NEURON simulator also included here as key:value pair
# Note: function calls for handling parameter initialization can be specified as a list using 'FUNCTIONS' key
# Note: function calls would be executed after all specified parameter values have been assigned
default_parameters = {'soma' : {'gnabar_hh':  0.12, 'gkbar_hh': 0.036},
                      'stim' : {'delay': 5, 'dur': 1, 'amp': 0.1},
                      'tstop' : 25.0}

# 4. Specify the vector objects that are being recorded during simulation
# Note: format is {display_label : vector_object_name}
# Note: time vector should use key as 'TIME' and is mandatory input
recorded_vectors = [{'TIME' : 't_vec'},
                    {'soma(0.5)' : 'v_vec'},
                    {'dend(0.5)' : 'dend_v_vec'}]
